<template>
  <div class="vlow-node vlow-node-trigger has-left" :rel="content.id">
    <div
        class="title"
        v-text="content.node.name.constant.value"
        @mousedown.prevent="$emit('start-drag', $event)"
    />
    <template v-for="(cfg, input, n) in proto.inputs" :key="input+'pin'">
      <div

          :class="'name left row'+n"
          v-text="cfg.label || input"
      />

      <div

          v-if="content.node[input].type === 'connection'"
          :rel="input"
          :class="'input left row'+n"
          v-html="'&middot;'"
      />

      <div
          :key="input+'value'"
          v-if="content.node[input].type === 'constant'"
          :class="'value left row'+n"
          v-text="content.node[input].constant.value"
      />
    </template>
  </div>
</template>

<script>
export default {
  name: "custom-node-trigger",
  props: {
    proto: Object,
    content: Object
  }
}
</script>
